<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    android:padding="16dp"
    tools:ignore="UseCompoundDrawables">

    <!-- 关闭按钮 -->
    <LinearLayout
        android:id="@+id/closeBtn"
        android:layout_width="44dp"
        android:layout_height="44dp"
        android:layout_gravity="end"
        android:gravity="center">

        <ImageView
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/close_round" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <ImageView
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginBottom="16dp"
            android:src="@mipmap/app_logo"
            tools:ignore="ContentDescription" />

        <TextView
            style="@style/TextViewFont_PopSemiBold"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:gravity="center"
            android:text="@string/permission_required"
            android:textColor="@color/black"
            android:textSize="20sp" />

        <TextView
            android:id="@+id/pr_desc"
            style="@style/TextViewFont_PopRegular"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:gravity="center"
            android:text="@string/permission_required_desc_1"
            android:textColor="@color/black_80"
            android:textSize="16sp" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="12dp">

            <LinearLayout
                android:id="@+id/allow_layout"
                android:layout_width="match_parent"
                android:layout_height="48dp"

                android:background="@drawable/dr_rounded_corner_bg_grey"
                android:gravity="center_vertical"
                android:paddingStart="16dp"
                android:paddingEnd="16dp">

                <TextView
                    style="@style/TextViewFont_PopRegular"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:text="@string/permission_required_desc_2"
                    android:textColor="@color/black_80"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:src="@drawable/permission_required_open_btn" />
            </LinearLayout>

            <ImageView
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="16dp"
                android:src="@drawable/finger" />
        </RelativeLayout>

        <LinearLayout
            android:id="@+id/allow_access_btn"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@drawable/dr_click_btn_bg"
            android:gravity="center">

            <TextView
                style="@style/TextViewFont_PopSemiBold"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/allow_access"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>